DIR_PATH := $(realpath $(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
DOCKER_IMAGE_NAME=yocto-env
PARENT_DOCKER_IMAGE=build-environment:latest

$(DOCKER_IMAGE_NAME):
	docker build $(DIR_PATH) --build-arg FROM=$(PARENT_DOCKER_IMAGE) --tag $(DOCKER_IMAGE_NAME)

all: $(DOCKER_IMAGE_NAME)

.PHONY : all $(DOCKER_IMAGE_NAME)
.DEFAULT_GOAL := all
